<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTechnicianUserTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('technician_user', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('name')->nullable()->comment('技师姓名');
            $table->bigInteger('user_id')->comment('用户ID');
            $table->string('mobile')->nullable()->comment('手机号');
            $table->string('nickname')->default('')->comment('昵称');
            $table->string('avatar')->nullable()->comment('头像');
            $table->tinyInteger('status')->default('0')->comment('状态 (0正常 1停用)');
            $table->tinyInteger('sex')->default('0')->nullable()->comment('用户性别');
            $table->bigInteger('work_time')->nullable()->comment('从业年份');
            $table->string('city')->nullable()->comment('城市');
            $table->string('lng')->nullable()->comment('经度');
            $table->string('lat')->nullable()->comment('维度');
            $table->string('address')->nullable()->comment('详细地址');
            $table->string('brief')->nullable()->comment('简介');
            $table->string('id_code')->nullable()->comment('证件号');
            $table->string('id_card')->nullable()->comment('证件照片');
            $table->text('license')->nullable()->comment('执照');
            $table->string('work_img')->nullable()->comment('工作照');
            $table->string('self_img')->nullable()->comment('个人照');
            $table->tinyInteger('is_work')->default('1')->comment('是否工作');
            $table->string('birthday')->nullable()->comment('出生日期');
            $table->integer('order_num')->default('0')->comment('虚拟订单量');
            $table->integer('total_order_num')->default('0')->comment('总订单量');
            $table->tinyInteger('is_recommend')->default('0')->comment('是否推荐');
            $table->integer('sort')->default('0')->comment('排序');
            $table->tinyInteger('auth_status')->default('0')->comment('认证状态');
            $table->string('alipay_number')->nullable()->comment('支付宝账号');
            $table->text('verify_text')->nullable()->comment('审核意见');
            $table->timestamp('verify_time')->nullable()->comment('审核时间');
            $table->text('auth_text')->nullable()->comment('认证意见');
            $table->timestamp('auth_time')->nullable()->comment('认证时间');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('technician_user');
    }
}
